%define name xbill
%define version 2.1
%define release 2mdk

Summary:	Stop Bill from loading his OS into all the computers
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		Games/Arcade
Url:        http://www.xbill.org/
Source:		http://www.xbill.org/download/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
BuildRequires: XFree86-devel xpm-devel
BuildRoot:	%{_tmppath}/xbill-root

%description
The xbill game tests your reflexes as you seek out and destroy all forms
of Bill, establish new operating systems and boldly go where no geek has
gone before.  Xbill has become an increasingly attractive option as the
Linux Age progresses.

%prep
%setup -q

%build
%configure --prefix=%{prefix} --localstatedir=%{_localstatedir}/games \
           --mandir=%{_mandir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
( cd $RPM_BUILD_ROOT
  mkdir -p ./%{_menudir}
  cat > ./%{_menudir}/xbill <<EOF
?package(xbill): command="xbill" icon="xbill.png" longtitle="The famous xbill game" title="Xbill" needs="x11" section="Amusement/Arcade"
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%attr(755,root,games) %{_bindir}/%{name}
%{_prefix}/share/%{name}/*/*
%{_mandir}/*/*
%attr(755,root,games) %dir %{_localstatedir}/games/xbill
%attr(0664,root,games) %{_localstatedir}/games/xbill/scores
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Mar  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1-2mdk
- spec fixes
- fix perms of the highscores dir

* Thu Mar 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1-1mdk
- 2.1
- %{prefix} => /usr
- png icons

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0-12mdk
- automatically added BuildRequires

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-11mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Sun Apr 01 2000 Jerome Martin <jerome@mandrakesoft.com> 2.0-10mdk
- Fix rpm group
- specfile modifications for spec-helper
- menu entry + icon
- removal of old wmconfig stuff

* Tue Dec 21 1999 David Baudens <baudens@mandrakesoft.com>
- Modify %%description (MandrakeSoft is not RedHat)
- Fix build on Jedi

* Thu May  6 1999 Bernhard Rosekraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
